## GstVaapiWindowEGL GstVaapiWindowEGL — VA/EGL window abstraction |

## Functions

GstVaapiWindow * | gst_vaapi_window_egl_new ()

## Description

## Functions

### gst_vaapi_window_egl_new ()

    GstVaapiWindow *
    gst_vaapi_window_egl_new (GstVaapiDisplay *display,
                              guint width,
                              guint height);

Creates a window with the specified `width` and `height` . The window will be attached to the `display` and remains invisible to the user until `gst_vaapi_window_show()` is called.

#### Parameters

display | a GstVaapiDisplay |
width | the requested window width, in pixels |
height | the requested windo height, in pixels |

#### Returns

the newly allocated GstVaapiWindow object

## Types and Values